List Channels
curl --request GET \
--url https://integration.getmateo.com/api/v1/channel \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/channel"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"name": "<string>",
"handle": "<string>",
"status": "draft",
"active": true
}
]Channel
List Channels
Retrieve a list of channels
List Channels
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Channel ID
Channel creation date
Latest update
Organisation ID
Channel type
Name of channel
Channel handle
Status of channel
Is channel active?
Filtering Columns
Ordering. Allowed Fields: name
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Channel ID
Channel creation date
Latest update
Organisation ID
Channel type
Available options:
email, sms, whatsapp, instagram, facebook, google_business_messaging, postal Name of channel
Channel handle
Status of channel
Available options:
draft, in-review, rejected, active, inactive Is channel active?